[rtems-testing commit] release.sh: error-check for doxygen

Gedare Bloom gedare at rtems.org
Thu May 14 16:33:06 UTC 2015


Module:    rtems-testing
Branch:    master
Commit:    1bbaa6e1934f4838bbd10365a6f679659a930dbc
Changeset: http://git.rtems.org/rtems-testing/commit/?id=1bbaa6e1934f4838bbd10365a6f679659a930dbc

Author:    Gedare Bloom <gedare at rtems.org>
Date:      Thu May 14 12:33:00 2015 -0400

release.sh: error-check for doxygen

---

 release-helpers/release.sh | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/release-helpers/release.sh b/release-helpers/release.sh
index 8fda157..c1e0294 100755
--- a/release-helpers/release.sh
+++ b/release-helpers/release.sh
@@ -102,6 +102,9 @@ check_error $? "Not at the top of an RTEMS tree"
 type sb-bootstrap >/dev/null 2>&1
 check_error $? "sb-bootstrap is not in your PATH"
 
+type doxygen > /deve/null 2>&1
+check_error $? "doxygen is not in your PATH"
+
 if [ ${bump_dot_release} = "no" -a ${bump_major_version} = "no" ] ; then
   fatal "Must select an action: bump major or dot release"
 fi




More information about the vc mailing list